List Storage instances – Media API – MediaKind
List Storage instances
Get https://app.mk.io/api/v1/projects/:project_name/media/storage
Listing, Sorting and Filtering Storage Instances
This endpoint returns the list of storage instances in the specified project.
Sorting
The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas where each one can optionally specify asc or desc.
Sorting is valid on the following fields: created, createdBy, id, name, privateLinkServiceConnectionStatus, type, updated, updatedBy, url
Filtering
The $filter query parameter allows for storage instances to be filtered on the basis of fields in the schema using OData query syntax. See this document for more details on the syntax used.
Filters are valid on the following fields: cloud/name, cloud/region/name, created, createdBy, createdByEmail, createdByName, id, name, privateLinkServiceConnectionStatus, region, type, updated, updatedBy, updatedByEmail, updatedByName, url
Examples:
?$top=10 - Returns only the first 10 storage instances from the list.
?$orderby=name desc - Sorts storage instances by name in descending order.
?$filter=name eq 'descriptive name' - Returns storage instances that match the provided name.
?$orderby=created desc - Sorts storage instances by creation date in descending order.
?$filter=created ge 2021-01-01T00:00:00Z - Returns storage instances created after January 1, 2021.
RBAC Capability Required: infra.storage.get
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
project_name string Required
Query parameters
$orderbystring Optional
Specifies the key by which the result collection should be ordered.
$filterstring Optional
Restricts the set of items returned.
$topstring Optional
Specifies a non-negative integer n that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value n.
$skiptokenstring Optional
Specifies a start offset to support paginated results. Use @odata.nextLink in the result object to enumerate the collection - it will be present only if there's more than one page of entities.
Response
200 A list of Storage instances
@odata.nextLinkstring Optional
@odata.nextLink URL if the page length and number of items match.
supplementalobject ListResponseSupplementalSchema Required
Supplemental info
countinteger Required
Number of items returned
kindstring Required
Type of items in the list
operationstring Required
Operation type. Should always say 'list'
paginationobject PaginationInfoSchema Required
Pagination info
endinteger Required
Position of the last item in the list
recordsinteger Required
Total number of items returned in the list
startinteger Required
Position of the first item in the list
totalinteger Required
Total number of items in the project
subscriptionobject ProjectInfoSchema Optional
Project info
idstring Required
Project ID
namestring Required
Project name
valuelist of objects StorageSchemaGet Required
List of storage instances.
kindstring Optional
The kind of record.
metadataobject BlobStorageMetadataSchema Required
Metadata about the storage instance.
createdstring Optional format: date-time
The time when the resource was created
createdBystring Optional format: uuid
ID of the user who created the resource
createdByEmailstring Optional
Email of the user who created the resource
idstring Required format: uuid
The ID of the resource
namestring Optional
The name of the resource
updatedstring Optional format: date-time
The time when the resource was last updated
updatedBystring Optional format: uuid
ID of the user who last updated the resource
updatedByEmailstring Optional
Email of the user who last updated the resource
specobject Required
The specification of the storage instance.
Show 3 variants
Discriminated by type. Select one variant:
Microsoft.Storageobject AzureStorageSpecReadAWS.S3object AWSStorageSpecReadGoogle.Storageobject GoogleStorageSpecRead
Errors
400 Bad Request
errorobject ErrorDetail Required
Pertinent information about the error
codestring Required
The error code.
detailstring Required
The error message.
extraDetailmap from strings to any Optional
Extra information regarding this error.
Show value schema
[any key] any
refstring Required
A reference to the request that caused the error.
statusinteger Required
The HTTP status code
401 Unauthorized
errorobject ErrorDetail Required
Pertinent information about the error
codestring Required
The error code.
detailstring Required
The error message.
extraDetailmap from strings to any Optional
Extra information regarding this error.
Show value schema
[any key] any
refstring Required
A reference to the request that caused the error.
statusinteger Required
The HTTP status code
403 Forbidden
errorobject ErrorDetail Required
Pertinent information about the error
codestring Required
The error code.
detailstring Required
The error message.
extraDetailmap from strings to any Optional
Extra information regarding this error.
Show value schema
[any key] any
refstring Required
A reference to the request that caused the error.
statusinteger Required
The HTTP status code
404 Not Found
errorobject ErrorDetail Required
Pertinent information about the error
codestring Required
The error code.
detailstring Required
The error message.
extraDetailmap from strings to any Optional
Extra information regarding this error.
Show value schema
[any key] any
refstring Required
A reference to the request that caused the error.
statusinteger Required
The HTTP status code
429 Too Many Requests
errorobject ErrorDetail Required
Pertinent information about the error
codestring Required
The error code.
detailstring Required
The error message.
extraDetailmap from strings to any Optional
Extra information regarding this error.
Show value schema
[any key] any
refstring Required
A reference to the request that caused the error.
statusinteger Required
The HTTP status code
500 Internal Server Error
errorobject ErrorDetail Required
Pertinent information about the error
codestring Required
The error code.
detailstring Required
The error message.
extraDetailmap from strings to any Optional
Extra information regarding this error.
Show value schema
[any key] any
refstring Required
A reference to the request that caused the error.
statusinteger Required
The HTTP status code